#welcome-header {
	color: white;
	text-align: center;
	margin: 35px 0 20px;
	padding: 0 20px;
	text-transform: uppercase;
}

.blog-content {
    width: 90%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    color: white;
}

.beta-tag {
    width: fit-content;
    margin: 0 auto;
    text-align: center;
    color: white;
    background: var(--warning-orange);
    padding: 8px 14px;
    user-select: none;
    font-weight: bold;
}

.blog-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    width: 100%;
}

.blog-card {
    display: block;
    flex: 0 0 calc(33.333% - 14px);
    max-width: 440px;
    text-decoration: none;
}

.blog-card .img-wrapper {
    width: 100%;
    height: 250px;
    overflow: hidden;
    border-radius: 4px;
}

.blog-card .img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
    transition: transform 0.2s ease;
}

.blog-card:hover img {
    transform: scale(1.15);
}

.blog-card h3 {
    padding: 4px 0;
}

.blog-card:hover h3 {
    text-decoration: underline;
}

.blog-article {
    width: 80%;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.text {
    font-size: 16px;
    line-height: 1.6;
    text-align: justify;
}

.text.subtitle {
    font-size: 18px;
    width: fit-content;
    margin: 0 auto;
    margin-bottom: 40px;
}

.text .source {
    display: block;
    opacity: 0.7;
    font-size: 13px;
    font-style: italic;
    margin-top: 10px;
}

.media-row {
    display: flex;
    gap: 20px;
    align-items: start;
}

.media-row li {
    margin-left: 20px;
}

.media-text {
    flex: 1;
}

.media-text h2 {
    margin-bottom: 10px;
}

.media-image {
    flex: 0 0 600px;
    margin-left: auto;
}

.media-image img {
    width: 100%;
    border-radius: 10px;
    object-fit: cover;
}

.image-small {
    width: 60% !important;
}

.media-right {
    flex-direction: row;
}

.media-left {
    flex-direction: row-reverse;
}

.media-center {
    flex-direction: column;
    gap: 10px;
}

.caption {
    width: fit-content;
    font-size: 13px;
    font-style: italic;
    opacity: 0.7;
}

.fact-box {
    width: 50%;
    margin: 0 auto;
    margin-top: 25px;
    margin-bottom: 25px;
    text-align: center;
    font-style: italic;
}

.fact-box .subtitle {
    font-weight: bold;
}

.songtext {
    font-weight: bold;
    line-height: 1.8;
}

@media screen and (max-width: 768px) {
    .blog-card {
        flex: 0 0 100%;
    }

    .blog-card:hover img {
        transform: scale(1);
    }
    
    .blog-article {
        width: 95%;
    }
    
    .media-row {
        flex-direction: column !important;
    }

    .media-image {
        flex: 0 0 auto;
    }

    .fact-box {
        width: 100%;
    }
}

@media screen and (max-width: 410px) {
    .blog-card .img-wrapper {
        height: 200px;
    }
}